# coding: utf-8
# Rhythmbox plugin which enables Replay Gain support
#
# Copyright © 2009 Calvin Walton
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.

import rb
import gst

class ReplayGainPlugin (rb.Plugin):
	def __init__(self):
		rb.Plugin.__init__(self)
	def activate(self, shell):
		self.rgvolume = gst.element_factory_make("rgvolume")
		shell.get_player().props.player.add_filter(self.rgvolume)
	def deactivate(self, shell):
		shell.get_player().props.player.remove_filter(self.rgvolume)
		del self.rgvolume
